[
  {
    "function": "minecraft:set_components",
    "components": {
      "minecraft:base_color": "orange",
      "minecraft:banner_patterns": [
        {
          "pattern": "minecraft:gradient",
          "color": "red"
        },
        {
          "pattern": "minecraft:flower",
          "color": "orange"
        },
        {
          "pattern": "minecraft:circle",
          "color": "yellow"
        },
        {
          "pattern": "minecraft:triangle_bottom",
          "color": "white"
        },
        {
          "pattern": "minecraft:triangles_bottom",
          "color": "light_gray"
        }
      ],
      "minecraft:custom_data": "{replaced:1}"
    }
  }
]
